Errors
Get Error Events
Returns individual error occurrences for a specific error message, with full context including stack traces.
GET /api/sites/:site/error-eventsReturns individual error occurrences for a specific error message, with full context including stack traces.
Path Parameters
Prop
Type
Query Parameters
Accepts all Common Parameters plus the following:
Prop
Type
Response
Prop
Type
ErrorEvent Object
Prop
Type
curl -X GET "https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10" \
-H "Authorization: Bearer your_api_key_here"const response = await fetch(
`https://app.rybbit.io/api/sites/1/error-events?errorMessage=${encodeURIComponent("Cannot read property 'map' of undefined")}&limit=10`,
{
headers: {
'Authorization': 'Bearer your_api_key_here'
}
}
);
const data = await response.json();import requests
response = requests.get(
'https://app.rybbit.io/api/sites/1/error-events',
params={
'errorMessage': "Cannot read property 'map' of undefined",
'limit': 10
},
headers={
'Authorization': 'Bearer your_api_key_here'
}
)
data = response.json()$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer your_api_key_here'
]);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);require 'net/http'
require 'json'
uri = URI('https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10')
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer your_api_key_here'
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)req, _ := http.NewRequest("GET", "https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10", nil)
req.Header.Set("Authorization", "Bearer your_api_key_here")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
var data map[string]interface{}
json.NewDecoder(resp.Body).Decode(&data)let client = reqwest::Client::new();
let res = client
.get("https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10")
.header("Authorization", "Bearer your_api_key_here")
.send()
.await?;
let data: serde_json::Value = res.json().await?;HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10"))
.header("Authorization", "Bearer your_api_key_here")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer your_api_key_here");
var response = await client.GetAsync("https://app.rybbit.io/api/sites/1/error-events?errorMessage=Cannot%20read%20property%20%27map%27%20of%20undefined&limit=10");
var data = await response.Content.ReadAsStringAsync();{
"data": [
{
"timestamp": "2024-01-31T14:22:00.000Z",
"session_id": "sess_abc123",
"user_id": "user_xyz789",
"pathname": "/dashboard",
"hostname": "app.example.com",
"browser": "Chrome",
"browser_version": "120.0.0",
"operating_system": "macOS",
"device_type": "desktop",
"country": "US",
"message": "Cannot read property 'map' of undefined",
"stack": "TypeError: Cannot read property 'map' of undefined\n at Dashboard (dashboard.js:42:15)\n at renderWithHooks (react-dom.js:1234:22)",
"fileName": "dashboard.js",
"lineNumber": 42,
"columnNumber": 15
}
]
}